Package com.sun.jna.platform.win32

## Enum HighLevelMonitorConfigurationAPI.MC_CAPS

- java.lang.Object
- - java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_CAPS>
  - - com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_CAPS

All Implemented Interfaces:
  `FlagEnum`, `java.io.Serializable`, `java.lang.Comparable<HighLevelMonitorConfigurationAPI.MC_CAPS>`

Enclosing interface:
  HighLevelMonitorConfigurationAPI

    public static enum HighLevelMonitorConfigurationAPI.MC_CAPS
    extends java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_CAPS>
    implements FlagEnum

Monitor capabilities - retrieved by GetMonitorCapabilities

### Enum Constant Summary

Enum Constants
`MC_CAPS_BRIGHTNESS` The monitor supports the GetMonitorBrightness and SetMonitorBrightness functions.
`MC_CAPS_COLOR_TEMPERATURE` The monitor supports the GetMonitorColorTemperature and SetMonitorColorTemperature functions.
`MC_CAPS_CONTRAST` The monitor supports the GetMonitorContrast and SetMonitorContrast functions.
`MC_CAPS_DEGAUSS` The monitor supports the DegaussMonitor function.
`MC_CAPS_DISPLAY_AREA_POSITION` The monitor supports the GetMonitorDisplayAreaPosition and SetMonitorDisplayAreaPosition functions.
`MC_CAPS_DISPLAY_AREA_SIZE` The monitor supports the GetMonitorDisplayAreaSize and SetMonitorDisplayAreaSize functions.
`MC_CAPS_MONITOR_TECHNOLOGY_TYPE` The monitor supports the GetMonitorTechnologyType function.
`MC_CAPS_NONE` The monitor does not support any monitor settings.
`MC_CAPS_RED_GREEN_BLUE_DRIVE` The monitor supports the GetMonitorRedGreenOrBlueDrive and SetMonitorRedGreenOrBlueDrive functions.
`MC_CAPS_RED_GREEN_BLUE_GAIN` The monitor supports the GetMonitorRedGreenOrBlueGain and SetMonitorRedGreenOrBlueGain functions.
`MC_CAPS_RESTORE_FACTORY_COLOR_DEFAULTS` The monitor supports the RestoreMonitorFactoryColorDefaults function.
`MC_CAPS_RESTORE_FACTORY_DEFAULTS` The monitor supports the RestoreMonitorFactoryDefaults function.
`MC_RESTORE_FACTORY_DEFAULTS_ENABLES_MONITOR_SETTINGS` If this flag is present, calling the RestoreMonitorFactoryDefaults function enables all of the monitor settings used by the high-level monitor configuration functions.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getFlag()`
`static HighLevelMonitorConfigurationAPI.MC_CAPS` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HighLevelMonitorConfigurationAPI.MC_CAPS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MC_CAPS_NONE

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_NONE

The monitor does not support any monitor settings.

#### MC_CAPS_MONITOR_TECHNOLOGY_TYPE

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_MONITOR_TECHNOLOGY_TYPE

The monitor supports the GetMonitorTechnologyType function.

#### MC_CAPS_BRIGHTNESS

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_BRIGHTNESS

The monitor supports the GetMonitorBrightness and SetMonitorBrightness functions.

#### MC_CAPS_CONTRAST

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_CONTRAST

The monitor supports the GetMonitorContrast and SetMonitorContrast functions.

#### MC_CAPS_COLOR_TEMPERATURE

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_COLOR_TEMPERATURE

The monitor supports the GetMonitorColorTemperature and SetMonitorColorTemperature functions.

#### MC_CAPS_RED_GREEN_BLUE_GAIN

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_RED_GREEN_BLUE_GAIN

The monitor supports the GetMonitorRedGreenOrBlueGain and SetMonitorRedGreenOrBlueGain functions.

#### MC_CAPS_RED_GREEN_BLUE_DRIVE

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_RED_GREEN_BLUE_DRIVE

The monitor supports the GetMonitorRedGreenOrBlueDrive and SetMonitorRedGreenOrBlueDrive functions.

#### MC_CAPS_DEGAUSS

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_DEGAUSS

The monitor supports the DegaussMonitor function.

#### MC_CAPS_DISPLAY_AREA_POSITION

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_DISPLAY_AREA_POSITION

The monitor supports the GetMonitorDisplayAreaPosition and SetMonitorDisplayAreaPosition functions.

#### MC_CAPS_DISPLAY_AREA_SIZE

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_DISPLAY_AREA_SIZE

The monitor supports the GetMonitorDisplayAreaSize and SetMonitorDisplayAreaSize functions.

#### MC_CAPS_RESTORE_FACTORY_DEFAULTS

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_RESTORE_FACTORY_DEFAULTS

The monitor supports the RestoreMonitorFactoryDefaults function.

#### MC_CAPS_RESTORE_FACTORY_COLOR_DEFAULTS

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_CAPS_RESTORE_FACTORY_COLOR_DEFAULTS

The monitor supports the RestoreMonitorFactoryColorDefaults function.

#### MC_RESTORE_FACTORY_DEFAULTS_ENABLES_MONITOR_SETTINGS

    public static final HighLevelMonitorConfigurationAPI.MC_CAPS MC_RESTORE_FACTORY_DEFAULTS_ENABLES_MONITOR_SETTINGS

If this flag is present, calling the RestoreMonitorFactoryDefaults function enables all of the monitor settings used by the high-level monitor configuration functions. For more information, see the Remarks section in RestoreMonitorFactoryDefaults.

### Method Detail

#### values

    public static HighLevelMonitorConfigurationAPI.MC_CAPS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HighLevelMonitorConfigurationAPI.MC_CAPS c : HighLevelMonitorConfigurationAPI.MC_CAPS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_CAPS valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getFlag

    public int getFlag()

Specified by:
  `getFlag` in interface `FlagEnum`
Returns:
  the flag value - usually 2^n